import "./pollyfill.js";
import { cryptoJS, NodeRSA } from "./cloudbase.privatelink.vender";

if (!globalThis.cloudbase_private_link_vender) {
  globalThis.cloudbase_private_link_vender = {
    cryptoJS,
    NodeRSA,
  };
}

const cloudbase_private_link = require("./cloudbase.privatelink.vm");
if (!globalThis.cloudbase_private_link) {
  globalThis.cloudbase_private_link = cloudbase_private_link;
}

globalThis.IS_MP_BUILD = true
const tcbPrivatelinkAdapter = require('cloudbase-adapter-privatelink')

export { tcbPrivatelinkAdapter }
